Subject: Re: IPfax package comments re: WG Last Call: draft-ietf-megaco-h2 48f- 00.txt

From: Glenn Parsons <[email-masked]>
Date: Tue, 25 Jul 2000 14:30:56 -0500

> 1. Editorial comment on 10.4.1 Pages Transferred:
> How does this relate to fax pages retransmitted?  are those included in
> this counter?  if yes, a quick note in the text would be benefitial.
>
> 2.  Comments about the IPFax package (section 11 of the I-D):
> - the i-d should clearly point to the reference where the session
> attributes for t38 are defined (use the term "session attribute" or at
> least "attribute" which is not used once in the text;  at least point to
> IANA);
>
They are defined in T.38.  Annex E is on H.248 and Annex D is on SIP/SDP.
Perhaps the authors thought that was obvious (or that it would be included
in the references section :-)

> - an informative section with the possible value attributes allowed for
> t38 fax in the descriptors would be appreciated
> ((a=<T38attribute>:<value>;  <value>  = value1 | value2);  the
> informative example in 11.5.4. is somewhat eluding to it; could you give
> the same info given to IANA to register those SDP names (name, type of
> name, possible values, explanation)?
>
Are you looking for the info included in the IANA liaison from ITU-T SG8 at:
ftp://standards.nortelnetworks.com/itu_to_ietf/SG8/February00/

> - if those definitions have been included in a t.38 annex (annex d for
> e.g.), it is critical for implementers to have access to those defs.
> Otherwise, the informative example is using attributes coming from
> nowhere
> >     a=T38FaxRateManagement:transferredTCF
> >     a=T38UdpEC:t38UDPFEC
>
This is in the T.38 Rec.  It is published as T.38 Amendment 2:
http://www.itu.int/itudoc/itu-t/rec/t/t_38am2.html

You can see the draft at the previous URL.

Cheers,
Glenn.